### Class

# Ide ExtensionAdapter

#### Description

    final class Ide.ExtensionAdapter : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_extension_adapter_new

Creates a new `IdeExtensionAdapter`.

Available since: 3.32

#### Instance methods

###### ide_extension_adapter_get_engine

Gets the `IdeExtensionAdapter:engine` property.

Available since: 3.32

###### ide_extension_adapter_get_extension

Gets the extension object managed by the adapter.

Available since: 3.32

###### ide_extension_adapter_get_interface_type

No description available.

###### ide_extension_adapter_get_key

No description available.

###### ide_extension_adapter_get_value

No description available.

###### ide_extension_adapter_set_key

No description available.

###### ide_extension_adapter_set_value

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.ExtensionAdapter:engine

No description available.

###### Ide.ExtensionAdapter:extension

No description available.

###### Ide.ExtensionAdapter:interface-type

No description available.

###### Ide.ExtensionAdapter:key

No description available.

###### Ide.ExtensionAdapter:value

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeExtensionAdapterClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.